Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236422 - Review Request: clutter-gst - ClutterMedia interface to GStreamer
Summary: Review Request: clutter-gst - ClutterMedia interface to GStreamer
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-13 19:52 UTC by Allisson Azevedo
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-15 10:56:46 UTC
mtasaka: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Allisson Azevedo 2007-04-13 19:52:23 UTC
Spec URL: http://fedora.allisson.eti.br/clutter-gst/clutter-gst.spec
SRPM URL: http://fedora.allisson.eti.br/clutter-gst/clutter-gst-0.1.1-1.src.rpm

Description: This package contains a video texture actor and an audio player object for use with clutter

Comment 1 Mamoru TASAKA 2007-05-12 15:59:22 UTC
Will review.

Comment 2 Mamoru TASAKA 2007-05-13 14:58:21 UTC
For 0.1.1-1:

* Requires/BuildRequires
  - clutter-devel requires gtk2-devel and then glib2-devel,
    so in this case explicit requirement of gtk2-devel or
    glib2-devel is not needed.

  - clutter-gst-devel requires (not "BuildRequire"s) 
    gstreamer-plugins-base-devel which is pulled by
    "Requires: gstreamer-plugins-base-0.10" in pkgconfig .pc file.

* Timestamps
  - Similarly to clutter-gtk, please add 'INSTALL=%{__install} -p"
    to "make install".

* Documentation
  - INSTALL is not needed.

* License
  - This is LGPL.

Comment 3 Allisson Azevedo 2007-05-14 01:59:49 UTC
Update package:

Spec URL: http://fedora.allisson.eti.br/clutter-gst/clutter-gst.spec
SRPM URL: http://fedora.allisson.eti.br/clutter-gst/clutter-gst-0.1.1-2.src.rpm

Changelog:

- INSTALL removed from docs
- fix make install for keeping timestamps
- changed license for LGPL
- Fix requires/buildrequires

Comment 4 Mamoru TASAKA 2007-05-14 15:31:18 UTC
Okay.
---------------------------------------------
  This package (clutter-gst) is APPROVED by me
---------------------------------------------

Comment 5 Allisson Azevedo 2007-05-14 18:29:13 UTC
New Package CVS Request
=======================
Package Name: clutter-gst
Short Description: ClutterMedia interface to GStreamer
Owners: allisson@gmail.com
Branches: FC-6


Note You need to log in before you can comment on or make changes to this bug.